%define pgroup		kde-multimedia
%define pname		kscd
%define version		15.04.3
%define release		%mkrel 1

Name:			%{pgroup}-%{pname}
Version:		%{version}
Release:		%{release}
Summary:		CD Player for KDE 4
URL:			http://multimedia.kde.org/
Group:			Graphical desktop/KDE4
License:		GPL v3
Source:			ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kscd-%{version}.tar.xz
BuildRequires:	 	kdelibs-devel
BuildRequires:		%{_lib}musicbrainz3-devel
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
KsCD is a small, fast, CDDB enabled audio CD player which supports multiple platforms.

%prep
%setup -q -n kscd-%{version}

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player"\
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kscd.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/kscd
%{_kde_datadir}/applications/kde4/kscd.desktop
%{_kde_datadir}/apps/kscd/skin/Chrome.svg
%{_kde_datadir}/apps/kscd/skin/Obsidian-Coast.svg
%{_kde_datadir}/apps/kscd/skin/Steel.svg
%{_kde_datadir}/apps/kscd/skin/default.svg
%{_kde_datadir}/apps/solid/actions/kscd-play-audiocd.desktop
%{_kde_datadir}/config.kcfg/kscd.kcfg
%{_kde_datadir}/dbus-1/interfaces/org.kde.kscd.cdplayer.xml
%{_kde_iconsdir}/hicolor/*/apps/kscd.png
#%{_kde_iconsdir}/oxygen/22x22/actions/kscd-dock.png

%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
